Page 1 of 2

Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 6:42 pm
by maarten
Update on my nanopi NEO2 (pi-hole) went smooth and hassle free,
but on my RPi-Zero-W (headless music streamer) the update to v6.23 seems to have completely bricked my installation...

Update halted with error. Got a message that advised to run 'apt --fix-broken install' but that doesn't work:

apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
php7.0-cli php7.0-common php7.0-curl php7.0-fpm
The following packages will be upgraded:
php7.0-cli php7.0-common php7.0-curl php7.0-fpm
4 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
12 not fully installed or removed.
Need to get 0 B/2,723 kB of archives.
After this operation, 1,370 kB disk space will be freed.
Do you want to continue? [Y/n] y
E: Sub-process /usr/bin/dpkg exited unexpectedly

Machine won't reboot either:
root@DietPi:~# reboot
Illegal instruction

I also cannot restore my backup:

dietpi-backup -1 /mnt/dietpi-backup
/DietPi/dietpi/func/dietpi-globals: line 105: ((: == 3 : syntax error: operand expected (error token is "== 3 ")
/DietPi/dietpi/func/dietpi-globals: line 109: ((: == 4 : syntax error: operand expected (error token is "== 4 ")
/DietPi/dietpi/func/dietpi-globals: line 113: ((: == 5 : syntax error: operand expected (error token is "== 5 ")
/DietPi/dietpi/func/dietpi-globals: line 546: ((: > 3 : syntax error: operand expected (error token is "> 3 ")
[ OK ] DietPi-Backup | Root access verified.
/DietPi/dietpi/func/dietpi-globals: line 479: 8694 Illegal instruction grep -q '[[:blank:]]/[[:blank:]].*[[:blank:]]ro,' /proc/mounts
[ OK ] DietPi-Backup | RootFS R/W access verified.
/DietPi/dietpi/func/dietpi-globals: line 177: 8695 Illegal instruction mkdir -p /tmp/$G_PROGRAM_NAME
[ INFO ] DietPi-Backup | Checking for pre-req APT packages: rsync
/DietPi/dietpi/func/dietpi-globals: line 1762: 8697 Illegal instruction dpkg --get-selections > $fp_temp
/DietPi/dietpi/func/dietpi-globals: line 1775: 8698 Illegal instruction grep -qi "^$i[[:space:]]" $fp_temp
[ INFO ] DietPi-Backup | Flagged for installation: rsync
/DietPi/dietpi/func/dietpi-globals: line 1531: ((: >= 4 : syntax error: operand expected (error token is ">= 4 ")
[ INFO ] DietPi-Backup | APT installation for: rsync, please wait...
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
[FAILED] DietPi-Backup | G_AGI rsync
/DietPi/dietpi/func/dietpi-globals: line 1079: 8707 Illegal instruction ps aux
8708 | grep -qi '[d]ietpi-config'

It's really frustrating since the update on nanopi NEO2 went fine.

Can also not create bug report (gives errors)...

So what to do now?

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 6:50 pm
by huidbui25
I see you've already posted a bug report. :)

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 6:53 pm
by maarten
huidbui25 wrote: Mon May 13, 2019 6:50 pm I see you've already posted a bug report. :)
Yes, I did. But cannot really smile... :cry: Hope others will not experience same thing... seems I have to do a complete reinstall.

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 7:10 pm
by DietFresh
same thing happened to me. most commands didn't even work anymore (e.g. cp) and always respond with 'Illegal Instruction'. Good thing I had a backup image and could reflash the sd card.

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 7:17 pm
by huidbui25
maarten wrote: Mon May 13, 2019 6:53 pm Yes, I did. But cannot really smile... :cry: Hope others will not experience same thing... seems I have to do a complete reinstall.
Ouch :( Sorry to hear that! Maybe you derive a bit of comfort from having prevented me updating to 6.23. :o I hope the bug can be found and killed.

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Mon May 13, 2019 7:22 pm
by maarten
huidbui25 wrote: Mon May 13, 2019 7:17 pm
maarten wrote: Mon May 13, 2019 6:53 pm Yes, I did. But cannot really smile... :cry: Hope others will not experience same thing... seems I have to do a complete reinstall.
Ouch :( Sorry to hear that! Maybe you derive a bit of comfort from having prevented me updating to 6.23. :o I hope the bug can be found and killed.
I'll survive :-)

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Tue May 14, 2019 12:33 am
by maarten
Hi all,

Same problem after fresh install, when freshly installing php7.3 installation halts, retry results in same error. Result installation gets corrupted and bricked.

So be aware, maybe it's better to stick with v6.22

Maarten

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Tue May 14, 2019 7:49 am
by DietFresh
Thanks you for the information. Then we have to stay at version 6.22 until a fix is found.

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Tue May 14, 2019 10:39 am
by htelgen
Same for me, took me some hours to discover it wasn't me. :?

Re: Warning: update v6.23 seems to have completely bricked my installation...

Posted: Tue May 14, 2019 3:56 pm
by aa6tem
I bricked 2 systems! Two raspberry pi zero's.

A Pi 3 got updated to 6.23 successfully